Package org.gradle.api.artifacts.cache

# Interface ResolutionControl<A,B>

Type Parameters:
  `A` - The type of the request object for this resolution
  `B` - The type of the result of this resolution

All Known Subinterfaces:
  `ArtifactResolutionControl`, `DependencyResolutionControl`, `ModuleResolutionControl`

@Incubating public interface ResolutionControl<A,B>
Command methods for controlling dependency resolution via the DSL.

## Method Summary

Modifier and Type
Method
Description
`void`
`cacheFor(int value, TimeUnit units)`
States that the cached value should be used if it is no older than the specified duration.
`B`
`getCachedResult()`
Returns the cached result file or null if the result has not been cached.
`A`
`getRequest()`
Returns the query object that was requested in this resolution.
`void`
`refresh()`
States that any cached value should be ignored, forcing a fresh resolve.
`void`
`useCachedResult()`
States that the cached value should be used regardless of age.

## Method Details

### getRequest

A getRequest()
Returns the query object that was requested in this resolution.

Returns:
  the request object

### getCachedResult

@Nullable B getCachedResult()
Returns the cached result file or null if the result has not been cached.

Returns:
  the cached result

### cacheFor

void cacheFor(int value, TimeUnit units)
States that the cached value should be used if it is no older than the specified duration.

Parameters:
  `value` - The number of units
  `units` - The time units

### useCachedResult

void useCachedResult()
States that the cached value should be used regardless of age. If not cachedResult is available, resolution should fail.

### refresh

void refresh()
States that any cached value should be ignored, forcing a fresh resolve.